Networking System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.x.x 1.0.5000.0 2.0.0.0 System.Enum

Specifies option names for use in the and methods of the class.

Socket options determine the behavior of an instance of the class. Some socket options apply only to specific protocols while others apply to all types. Members of the enumeration specify which protocol applies to a specific socket option.

- Field
  System.Net.Sockets.SocketOptionName HeaderIncluded

  has been called on the socket.

  The value associated with this option is a data type.

  The value of the enumeration applies to this option.

  0
  1.0.5000.0
  2.0.0.0
- Field
  System.Net.Sockets.SocketOptionName AddMembership

  Add an IP group membership.

  The value associated with this option is an instance of the class.

  The value of the enumeration applies to this option.

  0
  1.0.5000.0
  2.0.0.0
- Field
  System.Net.Sockets.SocketOptionName AddSourceMembership

  Join a source group.

  The value associated with this option is an instance of the class.

  The value of the enumeration applies to this option.

  0
  1.0.5000.0
  2.0.0.0
- Field
  System.Net.Sockets.SocketOptionName BlockSource

  Block data from a source.

  The value associated with this option is a data type.

  The value of the enumeration applies to this option.

  0
  1.0.5000.0
  2.0.0.0
- Field
  System.Net.Sockets.SocketOptionName Broadcast

  Permit sending broadcast messages on the socket.

  The value associated with this option is a data type.

  The value of the enumeration applies to this option.

  0
  1.0.5000.0
  2.0.0.0
- Field
  System.Net.Sockets.SocketOptionName HeaderIncluded

  Use urgent data as defined by IETF RFC 1222. This option can be set only once, and once set, cannot be turned off.

  The value associated with this option is a data type.

  The value of the enumeration applies to this option.

  0
  1.0.5000.0
  2.0.0.0
- Field
  System.Net.Sockets.SocketOptionName ChecksumCoverage

  Set or get UDP checksum coverage.

  The value associated with this option is a data type.

  The value of the enumeration applies to this option.

  0
  1.0.5000.0
  2.0.0.0
- Field
  System.Net.Sockets.SocketOptionName Debug

  Record debugging information when available.

  The value associated with this option is a data type.

  The value of the enumeration applies to this option.

  0
  1.0.5000.0
  2.0.0.0
- Field
  System.Net.Sockets.SocketOptionName DontFragment

  Do not fragment IP datagrams.

  The value associated with this option is a data type.

  The value of the enumeration applies to this option.

  0
  1.0.5000.0
  2.0.0.0
- Field
  System.Net.Sockets.SocketOptionName DontLinger

  Close socket gracefully without lingering.

  The value associated with this option is a data type.

  The value of the enumeration applies to this option.

  0
  1.0.5000.0
  2.0.0.0
- Field
  System.Net.Sockets.SocketOptionName DropSourceMembership

  Do not route; send directly to interface addresses.

  The value associated with this option is a data type.

  The value of the enumeration applies to this option.

  0
  1.0.5000.0
  2.0.0.0
- Field
  System.Net.Sockets.SocketOptionName DropMembership

  Drop an IP group membership.

  The value associated with this option is an instance of the class.

  The value of the enumeration applies to this option.

  0
  1.0.5000.0
  2.0.0.0
- Field
  System.Net.Sockets.SocketOptionName DropSourceMembership

  Drop a source group.

  The value associated with this option is an instance of the class.

  The value of the enumeration applies to this option.

  0
  1.0.5000.0
  2.0.0.0
- Field
  System.Net.Sockets.SocketOptionName Error

  Get the error status code, then clear the code.

  The value associated with this option is a data type.

  The value of the enumeration applies to this option.

  0
  1.0.5000.0
  2.0.0.0
- Field
  System.Net.Sockets.SocketOptionName ExclusiveAddressUse

  Enable a socket to be bound for exclusive access.

  The value associated with this option is a data type.

  The value of the enumeration applies to this option.

  0
  1.0.5000.0
  2.0.0.0
- Field
  System.Net.Sockets.SocketOptionName HeaderIncluded

  Use expedited data as defined by IETF RFC 1222. This option can be set only once, and once set, cannot be turned off.

  The value associated with this option is a data type.

  The value of the enumeration applies to this option.

  0
  1.0.5000.0
  2.0.0.0
- Field
  System.Net.Sockets.SocketOptionName HeaderIncluded

  Application is providing the IP header for outgoing datagrams.

  The value associated with this option is a data type.

  The value of the enumeration applies to this option.

  0
  1.0.5000.0
  2.0.0.0
- Field
  2.0.0.0
  System.Net.Sockets.SocketOptionName To be added.
- Field
  System.Net.Sockets.SocketOptionName Debug

  Specifies IP options to be inserted into outgoing datagrams.

  The value associated with this option is a array.

  The value of the enumeration applies to this option.

  0
  1.0.5000.0
  2.0.0.0
- Field
  System.Net.Sockets.SocketOptionName ReuseAddress

  Set the IP header time-to-live field.

  The value associated with this option is a data type.

  The value of the enumeration applies to this option.

  0
  1.0.5000.0
  2.0.0.0
- Field
  System.Net.Sockets.SocketOptionName KeepAlive

  Send keep-alives.

  The value associated with this option is a data type.

  The value of the enumeration applies to this option.

  0
  1.0.5000.0
  2.0.0.0
- Field
  System.Net.Sockets.SocketOptionName Linger

  Linger on close if unsent data is present.

  The value associated with this option is an instance of the class.

  The value of the enumeration applies to this option.

  0
  1.0.5000.0
  2.0.0.0
- Field
  System.Net.Sockets.SocketOptionName MaxConnections

  Maximum queue length that can be specified by .

  The value associated with this option is a data type.

  0
  1.0.5000.0
  2.0.0.0
- Field
  System.Net.Sockets.SocketOptionName MulticastInterface

  Set the interface for outgoing multicast packets.

  The value associated with this option is a array.

  The value of the enumeration applies to this option.

  0
  1.0.5000.0
  2.0.0.0
- Field
  System.Net.Sockets.SocketOptionName MulticastLoopback

  IP multicast loopback.

  The value associated with this option is a data type.

  The value of the enumeration applies to this option.

  0
  1.0.5000.0
  2.0.0.0
- Field
  System.Net.Sockets.SocketOptionName MulticastTimeToLive

  IP multicast time to live.

  The value associated with this option is a data type.

  The value of the enumeration applies to this option.

  0
  1.0.5000.0
  2.0.0.0
- Field
  System.Net.Sockets.SocketOptionName Debug

  Send UDP datagrams with checksum set to zero.

  The value associated with this option is a data type.

  The value of the enumeration applies to this option.

  0
  1.0.5000.0
  2.0.0.0
- Field
  System.Net.Sockets.SocketOptionName Debug

  Disable the Nagle algorithm for send coalescing.

  The value associated with this option is a data type.

  The value of the enumeration applies to this option.

  0
  1.0.5000.0
  2.0.0.0
- Field
  System.Net.Sockets.SocketOptionName OutOfBandInline

  Receive out-of-band data in the normal data stream.

  The value associated with this option is a data type.

  The value of the enumeration applies to this option.

  0
  1.0.5000.0
  2.0.0.0
- Field
  System.Net.Sockets.SocketOptionName PacketInformation

  Return information about received packets.

  0
  1.0.5000.0
  2.0.0.0
- Field
  System.Net.Sockets.SocketOptionName ReceiveBuffer

  Specifies the total per-socket buffer space reserved for receives. This is unrelated to the maximum message size or the size of a TCP window.

  The value associated with this option is a data type.

  The value of the enumeration applies to this option.

  0
  1.0.5000.0
  2.0.0.0
- Field
  System.Net.Sockets.SocketOptionName ReceiveLowWater

  Receive low water mark.

  The value associated with this option is a data type.

  0
  1.0.5000.0
  2.0.0.0
- Field
  System.Net.Sockets.SocketOptionName ReceiveTimeout

  Specifies the maximum time, in milliseconds, the and methods will block when attempting to receive data. If data is not received within this time, a exception is thrown.

  The value associated with this option is a data type.

  The value of the enumeration applies to this option.

  0
  1.0.5000.0
  2.0.0.0
- Field
  System.Net.Sockets.SocketOptionName ReuseAddress

  Allow the socket to be bound to an address that is already in use.

  The value associated with this option is a data type.

  The value of the enumeration applies to this option.

  0
  1.0.5000.0
  2.0.0.0
- Field
  System.Net.Sockets.SocketOptionName SendBuffer

  Specifies the total per-socket buffer space reserved for sends. This is unrelated to the maximum message size or the size of a TCP window.

  The value associated with this option is a data type.

  The value of the enumeration applies to this option.

  0
  1.0.5000.0
  2.0.0.0
- Field
  System.Net.Sockets.SocketOptionName SendLowWater

  Send low water mark.

  The value associated with this option is a data type.

  0
  1.0.5000.0
  2.0.0.0
- Field
  System.Net.Sockets.SocketOptionName SendTimeout

  Specifies the maximum time, in milliseconds, the and methods will block when attempting to send data. If data is not sent within this time, a exception is thrown.

  The value associated with this option is a data type.

  The member of the enumeration applies to this option.

  0
  1.0.5000.0
  2.0.0.0
- Field
  System.Net.Sockets.SocketOptionName Type

  Get the socket type, one of the members of the enumeration.

  The value associated with this option is a data type.

  The value of the enumeration applies to this option.

  0
  1.0.5000.0
  2.0.0.0
- Field
  System.Net.Sockets.SocketOptionName TypeOfService

  Change the IP header type of service field.

  The value of the enumeration applies to this option.

  0
  1.0.5000.0
  2.0.0.0
- Field
  System.Net.Sockets.SocketOptionName UnblockSource

  Unblock a previously blocked source.

  The value associated with this option is a data type.

  The value of the enumeration applies to this option.

  0
  1.0.5000.0
  2.0.0.0
- Field
  2.0.0.0
  System.Net.Sockets.SocketOptionName To be added.
- Field
  2.0.0.0
  System.Net.Sockets.SocketOptionName To be added.
- Field
  System.Net.Sockets.SocketOptionName UseLoopback

  Bypass hardware when possible.

  The value associated with this option is a data type.

  The value of the enumeration applies to this option.

  0
  1.0.5000.0
  2.0.0.0
0